\subsection{ST[22] - Position-Based Scheduling}

\begin{longtable}{p{\textwidth}}
\toprule
\rowcolor{yellow!30} The position-based scheduling service type provides the capability to command on-board application processes using pre-loaded requests released when the spacecraft reaches the associated position on the orbit.\\
\midrule
\rowcolor{gray!20}\textbf{ST[22] - position-based scheduling subservice}\\
\midrule
The position-based scheduling subservice shall provide the capability to enable the position-based schedule execution function.\\
Note: The corresponding message type is TC[22,1].\\
\midrule
The position-based scheduling subservice shall provide the capability to disable the position-based schedule execution function.\\
Note: The corresponding message type is TC[22,2].\\
\midrule
The position-based scheduling subservice shall provide the capability to reset the position-based schedule.\\
Note: The corresponding message type is TC[22,3].\\
\midrule
The position-based scheduling subservice shall provide the capability to insert activities into the position-based schedule.\\
Note: The corresponding message type is TC[22,4].\\
\midrule
The position-based scheduling subservice shall provide the capability to generate a position-based schedule summary report.\\
Note: The corresponding message type is TM[22,13].\\
\midrule
The position-based scheduling subservice shall provide the capability to generate a position-based schedule detail report.\\
Note: The corresponding message type is TM[22,10].\\
\midrule
The position-based scheduling subservice shall provide the capability to position-shift all scheduled activities.\\
Note: The corresponding message type is TC[22,15].\\
\midrule
The position-based scheduling subservice shall provide the capability to summary report all position-based scheduled activities.\\
Note: The corresponding message type is TC[22,17].\\
\midrule
The position-based scheduling subservice shall provide the capability to detail report all position-based scheduled activities.\\
Note: The corresponding message type is TC[22,16].\\
\midrule
The position-based scheduling subservice shall provide the capability to delete position-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[22,5].\\
\midrule
The position-based scheduling subservice shall provide the capability to position-shift position-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[22,7].\\
\midrule
The position-based scheduling subservice shall provide the capability to summary report position-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[22,12].\\
\midrule
The position-based scheduling subservice shall provide the capability to detail report position-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[22,9].\\
\midrule
The position-based scheduling subservice shall provide the capability to delete position-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[22,6].\\
\midrule
The position-based scheduling subservice shall provide the capability to position-shift position-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[22,8].\\
\midrule
The position-based scheduling subservice shall provide the capability to summary report position-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[22,14].\\
\midrule
The position-based scheduling subservice shall provide the capability to detail report position-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[22,11].\\
\midrule
The position-based scheduling subservice shall provide the capability to set the orbit number.\\
Note: The corresponding message type is TC[22,28].\\
\bottomrule
\end{longtable}

